#ifndef morpheo_tools_viewer_bdd_Port_h
#define morpheo_tools_viewer_bdd_Port_h

#include <iostream>
//enum Mydirection={"in","out","inout"}d;
//enum Mylocalisation={"north","south","east","west"}l;
 

using namespace std;
namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     

  class Port 
    {
    private:
      string comment;
      string name;
      int pos_x;
      int pos_y;
      string direction;
      string localisation;
    protected:
      
    public:
      int get_x();//LONGUEUR EN LONG
      int get_y();//LONGUEUR EN LARGE
      void set_x(int v);
      void set_y(int v);
      string getComment();
      string getName();
      string getDirection();
      string getLocalisation();
      Port(string n,string d,string l);
      Port(Port *p);
      ~Port();
      void setComment(string s);
    };//end class Port

};//end bdd
};//end viewer
};//end tools
};//end morpheo

#endif
